Story # 1745 (Closed): new CN method setStatus() and updateNodeCapabilities()?

Document changeable properties of node registry

2011-08-31 18:30 - Dave Vieglais

Status: Closed Start date: 2011-08-31

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Sprint-2011.48-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Clarify documentation for node registry so that updates to the registry information are performed by the appropriate actors. Need to

indicate which properties can be set by a MN, and which can only be set by a CN.

Related issues:

Blocks Infrastructure - Task #1757: Implement CNRegister.updateNodeCapabilities Closed 2011-08-31

History

#1 - 2011-08-31 18:44 - Dave Vieglais

Note from Robert:

UpdateNodeCapabilities allows for a Membernode to update its own capabilities by providing its node structure to the CN.

There is a restriction of which fields may be updated by a MN.

Node.Synchronization.Schedule

Node.Services

Node.Health.NodeState

Node.SubjectList

Node.replicate

Node.synchronize

CoordinatingNodes maintain the other elements/attributes.  Of interest to the conversation this morning, Node.Health.Ping is an element maintained

by the CN by a background service (yet to be written). There was also the notion that another background service would run and gather status

information to gather status information. But, since we are dropping that functionality from the membernode, then we should drop the element

Node.Health.Status as well. 

If a membernode needs to update is capabilities it can.  We have a mechanism to do that.  I also think that the  ping service should 'synchronize' with

the membernode capabilities as well, updating the above information if needed.
#2 - 2011-11-11 16:58 - Robert Waltz

- Status changed from New to Closed

- Target version set to Sprint-2011.45-Block.6

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

Node.Name

Node.Description

Node.BaseURL

Node.Services.Restriction

Node.state

may also be updated by either an administrator or MN.
